/**
  角色管理
 @author laiyh
 @Date 2020-09-16

 */

import req from "@/utils/req"
import axios from "../utils/req"

export const base = "/authsvr/v2/roleinfo"
// 应用有限配额角色列表
export const orgQuoRoleTable = `${base}/orgQuotoAuthInfo/_search`
// 应用系统角色数
export const appRoleTableUrl = `${base}/roleList/_search`

// 新增
export function addRole(data) {
    return axios.post(`${base}/role`, data, { loading: true })
}

// 修改
export function editRole(data) {
    return axios.put(`${base}/role`, data)
}

// 删除
export function deleteRole(id) {
    return axios.delete(`${base}/role/${id}`)
}
// 详情
export function getRoleInfo(id) {
    return axios.get(`${base}/role/${id}`)
}

// 根据roleId 获取勾选菜单
export function getMenuChecked(roleId) {
    return axios.get(`${base}/checked/${roleId}`)
}
// 保存角色菜单
export function saveRsGrid(data) {
    return axios.post(`${base}/rsGrid`, data)
}
